Search found 27 matches

by KAKM
Thu Oct 14, 2021 11:48 pm
Forum: Developers corner
Topic: Tracking GUI activity
Replies: 2
Views: 309

Tracking GUI activity

I'm working on being able to record/create a tutorial in FreeCAD that you can play back (initial discussion at https://forum.freecad.org/viewtopic.php?t=60635 ) and it will highlight (or otherwise draw attention to) the part of the GUI relevant for a given step in the tutorial, which means that I ne...
by KAKM
Thu Oct 14, 2021 10:40 pm
Forum: FEM
Topic: CAE results interpretation
Replies: 5
Views: 337

Re: CAE results interpretation

What you're asking isn't so much a FreeCAD question as an engineering question. There are a variety of different criteria that can be used to determine whether a structure fails (von Mises stress, max principal stress, and max displacement are three of them-there are more), and which ones you should...
by KAKM
Thu Oct 14, 2021 10:08 pm
Forum: Python scripting and macros
Topic: name 'FreeCADGui' is not defined in InitGui.py
Replies: 3
Views: 527

Re: name 'FreeCADGui' is not defined in InitGui.py

That's a problem I have periodically, and it's usually because I used import FreeCADGui as Gui which means that any place you would normally use FreeCADGui to access something, you need to use Gui instead. For example, instead of using FreeCADGui.Selection.getSelection() , you would use Gui.Selectio...
by KAKM
Tue Oct 05, 2021 10:30 pm
Forum: Help on using FreeCAD
Topic: Drawing of locking clip/pin
Replies: 7
Views: 596

Re: Drawing of locking clip/pin

Can you post a hand-drawn sketch of what you're thinking? The best way to model it is going to depend on what precisely you want to build. Are you going for one piece or a small assembly? Is it permanently fixed to the chassis? Are you 3D printing it or using some other construction method?
by KAKM
Tue Oct 05, 2021 10:16 pm
Forum: Help on using FreeCAD
Topic: Sheet Metal Workbench
Replies: 498
Views: 84669

Re: Sheet Metal Workbench

FBXL5 wrote: Mon Oct 04, 2021 9:38 pm Is it possible to use Crowdin to translate external workbenches , too?
Yes, it's possible. Here's the Crowdin account for that: https://crowdin.com/project/freecad-addons.
by KAKM
Mon Oct 04, 2021 4:47 am
Forum: Open discussion
Topic: Help Development of Freecad without knowing Python / C++
Replies: 8
Views: 860

Re: Help Development of Freecad without knowing Python / C++

https://wiki.freecad.org/Help_FreeCAD has a general list of things you can help with without knowing Python/C++, if you haven't encountered that already.
by KAKM
Mon Oct 04, 2021 2:31 am
Forum: Help on using FreeCAD
Topic: Sheet Metal Workbench
Replies: 498
Views: 84669

Re: Sheet Metal Workbench

Is it hard to change the Python modules? And add translatability at the same time? The trickiest part about changing module names is that anything that depends on them will also have to be updated, so depending on how the code is structured, it can be either very easy or a very long time spent hunt...
by KAKM
Mon Sep 27, 2021 5:41 pm
Forum: Developers corner
Topic: New Developer Introduction
Replies: 7
Views: 964

Re: New Developer Introduction

If you're looking for an overview of how FreeCAD works as a developer, the Mod Dev Guide might be helpful https://github.com/qingfengxia/FreeCAD_Mod_Dev_Guide and if you want an overview of how to use it, the manual is pretty good https://wiki.freecadweb.org/Manual:Introduction . If you want to do a...
by KAKM
Tue Sep 14, 2021 8:33 pm
Forum: Open discussion
Topic: MOOC Workbench create tutorial in GUI
Replies: 17
Views: 1699

Re: MOOC Workbench create tutorial in GUI

An update: I have discovered a couple of flaws with my original implementation plan. It turns out that the MOOC workbench is licensed under the GPL rather than the LGPL, so building on that directly would have made integrating the results into the main code...interesting, and I got the impression th...
by KAKM
Tue Sep 07, 2021 3:06 pm
Forum: Python scripting and macros
Topic: adding feature python object to document object group
Replies: 5
Views: 510

Re: adding feature python object to document object group

It turns out that

Code: Select all

Gui.Selection.getSelection()[0].addObject(obj)
works, I just need to add some conditions so that it doesn't require the user to select exactly the right thing.